<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.zhaohaoting.framework">
    <!-- 权限声明 -->
    <!-- 加入应用需要的权限 -->
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <!-- 网络相关 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <!-- 读写文件 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.CAMERA" />
    <!-- 在SDCard中创建与删除文件权限 -->
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    <!-- 往SDCard写入数据权限 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!-- 从SDCard读取数据权限 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <!-- 相机权限 -->
    <uses-permission android:name="android.permission.CAMERA" />

    <uses-permission android:name="android.permission.VIBRATE" />

    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>

    <uses-permission android:name="android.permission.READ_PHONE_STATE" />

    <application>
        <activity android:name=".imagepicker.ui.ImageBaseActivity" />
        <activity
            android:name=".imagepicker.ui.ImageGridActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ImagePickerTheme" />
        <activity
            android:name=".imagepicker.ui.ImageCropActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ImagePickerTheme" />
        <activity
            android:name=".imagepicker.ui.ImageAddPreviewActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ImagePickerThemeFullScreen" />

        <activity
            android:name=".imagepicker.ui.ImagePreviewDelActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ImagePickerThemeFullScreen" />
        <activity
            android:name=".imagepicker.ui.ImagePreviewActivity"
            android:configChanges="orientation|screenSize"
            android:theme="@style/ImagePickerThemeFullScreen" />
        <activity android:name=".imagepicker.ui.CameraActivity" />

        <provider
            android:name=".provider.ZFileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths" />
        </provider>
    </application>

</manifest>
